<?xml version="1.0" encoding="UTF-8" ?>

<node name=@BMP_DBUS_PATH__MPRIS_TRACKLIST_@>

  <interface name=@BMP_DBUS_INTERFACE__MPRIS_@>

    <method name="AddTracks">
      <arg type="as"/>
      <arg type="b"/> <!-- start playback after adding -->
    </method>

    <method name="GetMetadata">
      <arg type="i" />
      <arg type="a{sv}" direction="out" />
    </method>

    <method name="GetCurrentTrack">
      <arg type="i" direction="out" />
    </method>

  </interface>
</node>
